"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useApiContext = exports.ApiCacheContext = exports.ApiContextProvider = void 0;
var react_1 = __importStar(require("react"));
var cache_1 = require("./cache");
var ApiCacheContext = (0, react_1.createContext)({
    getCache: function (id) { return id; },
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    setCache: function (_id, data, _cacheExpiry) { return data; },
});
exports.ApiCacheContext = ApiCacheContext;
var ApiContextProvider = function (_a) {
    var children = _a.children, baseApiUrl = _a.baseApiUrl;
    var cache = new cache_1.ApiCache();
    var handleSetCache = function (id, data, cacheExpiry) {
        cache.setCachedResponse(id, data, cacheExpiry);
        return data;
    };
    var handleGetCache = function (id) {
        return cache.getCachedResponse(id);
    };
    return (react_1.default.createElement(ApiCacheContext.Provider, { value: { getCache: handleGetCache, setCache: handleSetCache, baseApiUrl: baseApiUrl } }, children));
};
exports.ApiContextProvider = ApiContextProvider;
var useApiContext = function () { return (0, react_1.useContext)(ApiCacheContext); };
exports.useApiContext = useApiContext;
//# sourceMappingURL=CacheContext.js.map